Payments
This method returns details about a specific POS option, including its ID, name, slug, associated payment gateway, and resource URL. It may also include a URL for 3D secure processing, if applicable
Token-based authentication with required prefix "Token"
Query parameter config used to filter results based on specific conditions.
Query parameter created_date used to filter results based on specific conditions.
Query parameter gateway used to filter results based on specific conditions.
Query parameter id used to filter results based on specific conditions.
Filters records where id is greater than the given value.
Filters records where id is greater than or equal to the given value.
Filters records where id is less than the given value.
Filters records where id is less than or equal to the given value.
Limits the number of records returned in a single page. The maximum is 1000. A higher value is capped at 1000 and the request still succeeds.
Query parameter modified_date used to filter results based on specific conditions.
Filters records where modified_date is greater than the given value.
Filters records where modified_date is greater than or equal to the given value.
Filters records where modified_date is less than the given value.
Filters records where modified_date is less than or equal to the given value.
Query parameter name used to filter results based on specific conditions.
Query parameter page used to filter results based on specific conditions.
Query parameter resource_url used to filter results based on specific conditions.
Query parameter slug used to filter results based on specific conditions.
Query parameter sort used to filter results based on specific conditions.
Query parameter three_d_resource_url used to filter results based on specific conditions.
Successful response for status code 200.
Numerical value representing quantity or total amount.
123This field defines the URL of the next page.
http://api.example.org/accounts/?page=4This field defines the URL of the previous page.
http://api.example.org/accounts/?page=2GET /api/v1/remote/1/data-warehouse/payments/pos/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: YOUR_API_KEY
Accept: */*
Successful response for status code 200.
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"gateway": "omnicore.libs.payment_gateways.garanti.GarantiGateway",
"id": 1,
"name": "text",
"resource_url": "https://example.com",
"slug": "text",
"three_d_resource_url": "https://example.com"
}
]
}This method returns details about a specific POS option, including its ID, name, slug, associated payment gateway, and resource URL. It may also include a URL for 3D secure processing, if applicable This endpoint retrieves a specific record by its unique identifier.
Token-based authentication with required prefix "Token"
A unique integer value identifying this pos.
Successful response for status code 200.
The field defines which payment gateway the POS will use.
Unique identifier for the record.
The full name or label associated with the record.
The field defines the URL of the resources associated with the POS.
The field defines the slug of the shipping option.
^[-a-zA-Z0-9_]+$The field defines the URL for the 3D secure resources of the POS.
Object not found.
GET /api/v1/remote/1/data-warehouse/payments/pos/{id}/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: YOUR_API_KEY
Accept: */*
{
"gateway": "omnicore.libs.payment_gateways.garanti.GarantiGateway",
"id": 1,
"name": "text",
"resource_url": "https://example.com",
"slug": "text",
"three_d_resource_url": "https://example.com"
}Last updated
Was this helpful?

